List Transactions
The purpose of this endpoint is to deliver transactions related to a specific Principal (principalId) and Account (accountId) retrieved from List Accounts
This Data Adapter endpoint is used to deliver the responses for the following Consumer Data Standards endpoints:
Data Adapter APIβ
List Transactionsβ
Loading...
Consumer Data Standards Associationsβ
Get Transactions For Accountβ
Loading...
CDR Error Mappingβ
| Title | Status Code | Adapter URN - Error Code | Detail | CDR Status Code | CDR URN - Error Code |
|---|---|---|---|---|---|
| Invalid Field | 400 | urn:au-cds:error:cds-all:Field/Invalid | Applies when the value of required path parameter, i.e. principalId is an invalid type or the value violates the field's constraints. | 400 | urn:au-cds:error:cds-all:Field/Invalid |
| Invalid Header | 400 | urn:au-cds:error:cds-all:Header/Invalid | Applies when a HTTP Header is provided but the value provided is an invalid type or violates the field type constraints as defined in the Consumer Data Standards. | 400 | urn:au-cds:error:cds-all:Header/Invalid |
| Expected Error | 400 | urn:au-cds:error:cds-all:GeneralError/Expected | This status code indicates that the Expected Error has encountered. | 400 | urn:au-cds:error:cds-all:GeneralError/Expected |
| Invalid PageSize | 400 | urn:au-cds:error:cds-all:Field/InvalidPageSize | This status code applies when a HTTP Header is provided but the value provided is an invalid type or violates the field type constraints as defined in the Consumer Data Standards. | 400 | urn:au-cds:error:cds-all:Field/InvalidPageSize |
| Invalid Date | 400 | urn:au-cds:error:cds-all:Field/InvalidDateTime | This status code indicates that an invalid date is provided. | 400 | urn:au-cds:error:cds-all:Field/InvalidDateTime |
| Invalid Resource | 404 | urn:au-cds:error:cds-all:Resource/Invalid | The requested resource identifier is permanently unavailable. | 500 | urn:au-cds:error:cds-all:GeneralError/Unexpected |
| Invalid Page | 422 | urn:au-cds:error:cds-all:Field/InvalidPage | This status code indicates that the page being requested is out of range. For example, the valid pagination range is 5 pages and the client requested page = 10. | 422 | urn:au-cds:error:cds-all:Field/InvalidPage |
| Legal Block | 451 | urn:dio:error:cds-all:Resource/LegalBlock | This status code indicates that the server is denying access to the resource as a consequence of a legal demand. | 422 | urn:au-cds:error:cds-all:Resource/Unavailable |
| Ineligible Block | 451 | urn:dio:error:cds-all:Resource/IneligibleBlock | This status code indicates that the Customer is ineligible for CDR Data Sharing. | 422 | urn:au-cds:error:cds-all:Resource/Invalid |
| Call Center Block | 451 | urn:dio:error:cds-all:Resource/CallCenterBlock | This status code indicates that the consumer should call the Call Center for further information. | 422 | urn:au-cds:error:cds-all:Resource/Invalid |
Get Transaction Detailβ
Loading...
CDR Error Mappingβ
| Title | Status Code | Adapter URN - Error Code | Detail | CDR Status Code | CDR URN - Error Code |
|---|---|---|---|---|---|
| Invalid Field | 400 | urn:au-cds:error:cds-all:Field/Invalid | Applies when the value of required path parameter, i.e. principalId is an invalid type or the value violates the field's constraints. | 400 | urn:au-cds:error:cds-all:Field/Invalid |
| Invalid Header | 400 | urn:au-cds:error:cds-all:Header/Invalid | Applies when a HTTP Header is provided but the value provided is an invalid type or violates the field type constraints as defined in the Consumer Data Standards. | 400 | urn:au-cds:error:cds-all:Header/Invalid |
| Expected Error | 400 | urn:au-cds:error:cds-all:GeneralError/Expected | This status code indicates that the Expected Error has encountered. | 400 | urn:au-cds:error:cds-all:GeneralError/Expected |
| Invalid PageSize | 400 | urn:au-cds:error:cds-all:Field/InvalidPageSize | This status code applies when a HTTP Header is provided but the value provided is an invalid type or violates the field type constraints as defined in the Consumer Data Standards. | 400 | urn:au-cds:error:cds-all:Field/InvalidPageSize |
| Invalid Date | 400 | urn:au-cds:error:cds-all:Field/InvalidDateTime | This status code indicates that an invalid date is provided. | 400 | urn:au-cds:error:cds-all:Field/InvalidDateTime |
| Invalid Resource | 404 | urn:au-cds:error:cds-all:Resource/Invalid | The requested resource identifier is permanently unavailable. | 500 | urn:au-cds:error:cds-all:GeneralError/Unexpected |
| Invalid Page | 422 | urn:au-cds:error:cds-all:Field/InvalidPage | This status code indicates that the page being requested is out of range. For example, the valid pagination range is 5 pages and the client requested page = 10. | 422 | urn:au-cds:error:cds-all:Field/InvalidPage |
| Legal Block | 451 | urn:dio:error:cds-all:Resource/LegalBlock | This status code indicates that the server is denying access to the resource as a consequence of a legal demand. | 422 | urn:au-cds:error:cds-all:Resource/Unavailable |
| Ineligible Block | 451 | urn:dio:error:cds-all:Resource/IneligibleBlock | This status code indicates that the Customer is ineligible for CDR Data Sharing. | 422 | urn:au-cds:error:cds-all:Resource/Invalid |
| Call Center Block | 451 | urn:dio:error:cds-all:Resource/CallCenterBlock | This status code indicates that the consumer should call the Call Center for further information. | 422 | urn:au-cds:error:cds-all:Resource/Invalid |
Data Adapter version to CDR version mappingβ
| Data Adapter Version | CDR Version | Transformation Notes |
|---|---|---|
| ListBankingTransactions V0 | GetTransactionDetail V1 | This is a 1:1 mapping. No transformation required. |
| ListBankingTransactions V0 | GetTransactionDetail V2 | Further information on this transformation, see below. |
| ListBankingTransactions V1 | GetTransactionDetail V1 | Further information on this transformation, see below. |
| ListBankingTransactions V1 | GetTransactionDetail V2 | This is a 1:1 mapping. No transformation required. |
| ListBankingTransactions V1 | GetTransactionDetail V3 | Further information on this transformation, see below. |
| ListBankingTransactions V2 | GetTransactionDetail V3 | This is a 1:1 mapping. No transformation required. |
| ListBankingTransactions V2 | GetTransactionDetail V1 | β οΈ Not supported. instalmentPlanId is dropped as it is not representable in this version. |
| ListBankingTransactions V2 | GetTransactionDetail V2 | β οΈ Not supported. instalmentPlanId is dropped as it is not representable in this version. |
ListBankingTransactions V0 -> GetTransactionDetail V2β
GetTransactionDetail V2 updates the schema of extendedData object to support the range of New Payments Platform (NPP) service overlays including newer versions, e.g. X2P1.01 β¦ X2P1.05, BSCT.01 β¦ BSCT.05, CATSCT.01 and IFTI.01.
The upgrade logic below will be followed:
extendedData.extensionUType:- Set
extensionUTypeto"nppPayload".
- Set
extendedData.nppPayload:extendedDescription,endToEndIdandpurposeCodefields are 1:1 mapped fromx2p101Payloadobject.- Set
serviceto"X2P1". - Set
serviceVersionto"01".
ListBankingTransactions V1 -> GetTransactionDetail V1β
The downgrade logic below will be followed:
- If
nppPayload.serviceis"X2P1"andnppPayload.serviceVersionis"01":- Set
extendedData.extensionUTypeto"x2p101Payload". - Set
extendedData.serviceto"X2P1.01". x2p101Payload.extendedDescription,x2p101Payload.endToEndIdandx2p101Payload.purposeCodefields are 1:1 mapped fromnppPayloadobject.
- Set
- Otherwise, the
extendedDatais omitted.- Please note that in this case it is possible that a transaction in "Get Transactions For Account" response has
"isDetailAvailable": true, but an ADR client cannot get the transaction details if the ADR client requests GetTransactionDetail V1, which is not ideal but impossible to avoid under current DSB standards spec.
- Please note that in this case it is possible that a transaction in "Get Transactions For Account" response has
ListBankingTransactions V1 -> GetTransactionDetail V3β
GetTransactionDetail V3 (introduced with Data Adapter 2.4.0 / DSB Standards 1.36.3) updates directDeposit from apcaNumber (a bare BSB-style field on the V1 shape) to a dedicated apcaNumber field on the transaction resource, and introduces instalmentPlanId.
The upgrade logic below will be followed:
directDeposit.bsbtoapcaNumber.instalmentPlanId:- Set from the adapter's
instalmentPlanIdif the transaction is associated with a Banking Instalment Plan, otherwise omitted.
- Set from the adapter's
ListBankingTransactions V2 -> GetTransactionDetail V3β
This is a 1:1 mapping. No transformation required:
apcaNumbertoapcaNumber.instalmentPlanIdtoinstalmentPlanId.
Supplemental Fieldsβ
No supplemental fields are specified.
Endpoint Specific Guidanceβ
ListBankingTransactions V2andGetTransactionDetail V3were introduced in HaaS Data Adapter API 2.4.0 / DSB Standards 1.36.3 to supportinstalmentPlanIdand the updatedapcaNumberrepresentation of direct deposit transactions.instalmentPlanIdis optional. It is populated only when a transaction is associated with a Banking Instalment Plan, and is otherwise omitted.instalmentPlanIdis only representable inGetTransactionDetail V3. When aListBankingTransactions V2response is downgraded toGetTransactionDetail V1orV2, theinstalmentPlanIdis dropped.